## scifem 0.3.0

=== debian/changelog ===
scifem (0.3.0-2) unstable; urgency=medium

  * debian/tests Depends: python3-all-dev not python3-all, to get
    Python headers needed by cffi (via ffcx) for non-default Python
    versions. Closes: #1096194.

 -- Drew Parsons <dparsons@debian.org>  Mon, 17 Feb 2025 16:54:38 +0100

scifem (0.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1092347)
  * debian patch no_rpath.patch switches off adding RPATH to binary
    python extensions
  * debian/py3dist-overrides identifies fenics_dolfinx as python3-dolfinx
  * debian/tests: use ADIOS2_ALWAYS_USE_MPI=1 to distinguish serial
    xdmf (point cloud) tests with h5py and with adios2 (needs MPI even
    for single process). Separately, run all tests under MPI.

 -- Drew Parsons <dparsons@debian.org>  Sat, 11 Jan 2025 15:14:55 +0100
