=== debian/tests/control ===
# "serial" test uses h5py instead of adios2 for point clouds (xdmf)
Test-Command: for py in `py3versions -s`; do $py -m pytest; done
Depends: python3-scifem,
	 python3-pytest,
	 python3-all-dev

# test xdmf serial point cloud with adios2 instead of h5py via mpi (as single process)
Test-Command: for py in `py3versions -s`; do ADIOS2_ALWAYS_USE_MPI=1 $py -m pytest -k test_xdmf; done
Depends: python3-scifem,
	 python3-pytest,
	 python3-all-dev

# test MPI
Tests: test-MPI
Depends: python3-scifem,
	 python3-pytest,
	 python3-all-dev
