## scifem 0.3.1

=== debian/changelog ===
scifem (0.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Sun, 02 Mar 2025 12:56:01 +0100

scifem (0.3.0-5) unstable; urgency=medium

  * debian/tests MPI test Depends: python3-h5py-mpi.
    Otherwise h5py-serial is used, causing MPI tests to fail.

 -- Drew Parsons <dparsons@debian.org>  Sun, 23 Feb 2025 11:41:59 +0100

scifem (0.3.0-4) unstable; urgency=medium

  * debian/tests: run MPI tests verbose and report number of available
    (and used) processors

 -- Drew Parsons <dparsons@debian.org>  Fri, 21 Feb 2025 14:38:05 +0100

scifem (0.3.0-3) unstable; urgency=medium

  * debian/tests: switch off pytest colour in MPI tests

 -- Drew Parsons <dparsons@debian.org>  Tue, 18 Feb 2025 11:21:47 +0100
