=== debian/control ===
Source: scifem
Section: libs
Priority: optional
Maintainer: Drew Parsons <dparsons@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-scikit-build-core,
 python3-setuptools,
 python3-all-dev,
 python3-adios2,
 python3-basix,
 python3-dolfinx,
 python3-h5py,
 python3-mpi4py,
 python3-nanobind,
 python3-numpy,
 python3-packaging,
 python3-petsc4py,
 python3-pytest <!nocheck>,
 python3-ufl,
 libspdlog-dev,
 mpi-default-dev
#Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.0
Homepage: https://scientificcomputing.github.io/scifem/README.html
Vcs-Browser: https://salsa.debian.org/science-team/fenics/scifem
Vcs-Git: https://salsa.debian.org/science-team/fenics/scifem.git

Package: python3-scifem
Architecture: any
Depends:
 python3-adios2,
 python3-basix,
 python3-h5py,
 python3-mpi4py,
 python3-petsc4py,
 python3-ufl,
 ${python3:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 python-scifem-doc,
Description: Scientific Computing Tools for Finite Element Methods (Python 3)
 This package contains a collection of tools for scientific computing
 with a focus on finite element methods. The tools are written in
 Python and are intended to be used in conjunction with the dolfinx.
 . 
 Many users that are transitioning from legacy FEniCS to FEniCSx may
 find the transition difficult due to the lack of some functionalities
 in FEniCSx. This package aims to provide some of the functionalities
 that are missing in FEniCSx.
 .
 Features:
  -  Real-space implementation for usage in DOLFINx (>=v0.8.0)
  -  Save quadrature functions as point clouds
  -  Save any function that can tabulate dof coordinates as point clouds.
  -  Point sources for usage in DOLFINx
  -  Simplified wrapper to create MeshTags based on a list of tags and
     corresponding locator functions.
  -  Maps between degrees of freedom and vertices: vertex_to_dofmap and
     dof_to_vertex
  -  Blocked Newton Solver
  -  Function evaluation at specified points
 .
 This package installs the library for Python 3.
