=== debian/tests/control ===
--- 
+++ 
@@ -14,4 +14,5 @@
 Tests: test-MPI
 Depends: python3-scifem,
 	 python3-pytest,
-	 python3-all-dev
+	 python3-all-dev,
+	 python3-h5py-mpi
