## scifem 0.5.0

=== debian/changelog ===
scifem (0.5.0-4) unstable; urgency=medium

  * mpich (on 32-bit systems) sends warning messages to stderr,
    breaking debci tests. Redirect mpich stderr to stdout.

 -- Drew Parsons <dparsons@debian.org>  Fri, 04 Apr 2025 21:20:13 +0200

scifem (0.5.0-3) unstable; urgency=medium

  * Depends:python3-adios2 only on architectures where adios2 is
    available (not 32-bit and not hurd). h5py is used as a fallback.

 -- Drew Parsons <dparsons@debian.org>  Fri, 04 Apr 2025 12:48:58 +0200

scifem (0.5.0-2) unstable; urgency=medium

  * Build-Depends: python3-nibabel. Also for debian/tests.
    python3-scifem Recommends: python3-nibabel.
    nibabel is required by the biomedical submodule, and used by
    test_read_mri_data

 -- Drew Parsons <dparsons@debian.org>  Fri, 04 Apr 2025 11:47:09 +0200

scifem (0.5.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Fri, 04 Apr 2025 11:25:47 +0200
