## scifem 0.6.0

=== debian/changelog ===
scifem (0.6.0-3) unstable; urgency=medium

  * debian patch python_depends_nanobind.patch injects nanobind into
    python depends (pyproject.toml) to allow dh_python3 to catch the
    nanobind ABI dependency. See nanobind transition Bug#1111004.

 -- Drew Parsons <dparsons@debian.org>  Fri, 12 Sep 2025 03:31:03 +0200

scifem (0.6.0-2) unstable; urgency=medium

  * update to unstable for inclusion in trixie (unblock Bug#1106702)

 -- Drew Parsons <dparsons@debian.org>  Fri, 30 May 2025 12:57:29 +0200

scifem (0.6.0-1) experimental; urgency=medium

  * New upstream release
    - updates blocked solver API
    - updates read_mri_data_to_function
    - fixes xdmf and adios2 file handling

 -- Drew Parsons <dparsons@debian.org>  Tue, 27 May 2025 12:30:36 +0200
