## scifem 0.10.0

=== debian/changelog ===
scifem (0.10.0-1) unstable; urgency=medium

  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Tue, 23 Sep 2025 12:27:00 +0200
