## scifem 0.13.1

=== debian/changelog ===
scifem (0.13.1-1) unstable; urgency=medium

  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Thu, 16 Oct 2025 14:28:10 +0200
