=== debian/control ===
--- 
+++ 
@@ -10,12 +10,13 @@
  python3-scikit-build-core,
  python3-setuptools,
  python3-all-dev,
- python3-adios2,
+ python3-adios2 [!armel !armhf !i386 !hppa !hurd-amd64 !hurd-i386 !m68k !powerpc !sh4 !x32],
  python3-basix,
  python3-dolfinx,
  python3-h5py,
  python3-mpi4py,
  python3-nanobind,
+ python3-nibabel,
  python3-numpy,
  python3-packaging,
  python3-petsc4py,
@@ -24,7 +25,7 @@
  libspdlog-dev,
  mpi-default-dev
 #Testsuite: autopkgtest-pkg-python
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://scientificcomputing.github.io/scifem/README.html
 Vcs-Browser: https://salsa.debian.org/science-team/fenics/scifem
 Vcs-Git: https://salsa.debian.org/science-team/fenics/scifem.git
@@ -32,7 +33,7 @@
 Package: python3-scifem
 Architecture: any
 Depends:
- python3-adios2,
+ python3-adios2 [!armel !armhf !i386 !hppa !hurd-amd64 !hurd-i386 !m68k !powerpc !sh4 !x32],
  python3-basix,
  python3-h5py,
  python3-mpi4py,
@@ -41,6 +42,7 @@
  ${python3:Depends},
  ${misc:Depends},
  ${shlibs:Depends}
+Recommends: python3-nibabel
 Suggests:
  python-scifem-doc,
 Description: Scientific Computing Tools for Finite Element Methods (Python 3)
