=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 # "serial" test uses h5py instead of adios2 for point clouds (xdmf)
 Test-Command: for py in `py3versions -s`; do $py -m pytest; done
 Depends: python3-scifem,
+	 python3-nibabel,
 	 python3-pytest,
 	 python3-all-dev
 
@@ -13,6 +14,8 @@
 # test MPI
 Tests: test-MPI
 Depends: python3-scifem,
+	 python3-nibabel,
 	 python3-pytest,
 	 python3-all-dev,
-	 python3-h5py-mpi
+	 python3-h5py-mpi,
+	 mpi-default-dev
