=== debian/changelog ===
scifem (0.14.0-1exp1) experimental; urgency=medium

  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Thu, 13 Nov 2025 12:46:51 +0100
