## scifem 0.16.1

=== debian/changelog ===
scifem (0.16.1-1build3) resolute; urgency=medium

  * No-change rebuild for python3-nanobind-abi18.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 21 Feb 2026 13:04:22 +0000

scifem (0.16.1-1build2) resolute; urgency=medium

  * No-change rebuild for python3-nanobind-abi17.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 01 Feb 2026 21:15:34 +0000

scifem (0.16.1-1build1) resolute; urgency=medium

  * No-change rebuild for libdolfinx-real0.10.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 01 Jan 2026 19:40:54 +0000

scifem (0.16.1-1) unstable; urgency=medium

  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Mon, 22 Dec 2025 10:19:33 +0100
